TREC 2001 VideoTrack: Known-Items Task Evaluation: Class comparisonResult

Class | Tree | Deprecated | Index | Help
| Known-Items Task Evaluation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class comparisonResult

    java.lang.Object
      |
      +--comparisonResult

public class comparisonResult
extends java.lang.Object

This class represents the result of a comparison between a system result for one video and the reference. It typically permits to save results of one segmentation in a directory named wiht the system Id and a sub-directory named with the overlapping rates used in this run of comparison.

Constructor Summary
`comparisonResult(SysSegmentation systemSegmentation)` Constructs comparisonResult object for the given segmentation.

Method Summary
`void` | `setResults(int knownItemCount, int matchingRefItem, int matchingSysItem, java.lang.String matchingSection, java.lang.String notRetrievedKnownItemsSection, double pRef, double pSys, double MAP, int maxAllowedItems)` Given the parameter, this method writes in the file the results.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### comparisonResult

    public comparisonResult(SysSegmentation systemSegmentation)

  Constructs comparisonResult object for the given segmentation. It creates directories as explained in class description.

Method Detail

### setResults

    public void setResults(int knownItemCount,
                           int matchingRefItem,
                           int matchingSysItem,
                           java.lang.String matchingSection,
                           java.lang.String notRetrievedKnownItemsSection,
                           double pRef,
                           double pSys,
                           double MAP,
                           int maxAllowedItems)

  Given the parameter, this method writes in the file the results.
  Parameters:
    `knownItemCount` - The known-items (or reference items) count in the reference for the related topic.
    `matchingRefItem` - The matching reference items count for the comparison.
    `matchingSysItem` - The matching system items count for the comparison.
    `matchingSection` - A ready to write XML formatted section for the matching items results.
    `notRetrievedKnownItemsSection` - A ready to write XML formatted section for not retrieved known-items.
    `pRef` - Double representation of the reference overlapping parameter used for comparison.
    `pSys` - Double representation of the system overlapping parameter used for comparison.
    `MAP` - Double representation of the mean average precision.

Class | Tree | Deprecated | Index | Help
| Known-Items Task Evaluation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For information over@nist.gov or rtaban@nist.gov